Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

getBlockStorageSnapshotInstanceList

Prev Next

Available in VPC

Get the list of block storage snapshot instances.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vserver/v2/getBlockStorageSnapshotInstanceList

Request headers

For information about the headers common to all Server APIs, see Server request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
blockStorageSnapshotInstanceNoList.N Array Optional List of snapshot instance numbers
  • Filter by the snapshot instance number.
  • Example: blockStorageSnapshotInstanceNoList.1=1234&blockStorageSnapshotInstanceNoList.2=2345
blockStorageSnapshotName String Optional Filter by the snapshot name.
blockStorageSnapshotInstanceStatusCode String Optional Filter by the snapshot instance status code.
  • INIT | CREAT
    • INIT: creating
    • CREAT: available
originalBlockStorageInstanceNoList.N Array Optional Source storage number list
  • Filter by the source storage number.
  • See getBlockStorageInstanceList.
  • Example: originalBlockStorageInstanceNoList.1=1234&originalBlockStorageInstanceNoList.2=2345
blockStorageSnapshotVolumeSize Integer Optional Filter by the snapshot size.
  • Can query snapshots up to the entered size (GB).
isEncryptedOriginalBlockStorageVolume Boolean Optional Filter by the source storage encryption status.
  • true | false
    • true: encrypted
    • false: not encrypted
hypervisorTypeCodeList.N Array Optional Hypervisor type code list
  • XEN | KVM
  • Filter by the hypervisor type code.
  • Example: hypervisorTypeCodeList.1=KVM
isBootable Boolean Optional Filter by the server image creation availability.
  • true | false
    • true: available
    • false: unavailable
pageNo Integer Optional Page number
  • 0-N (default: 0)
  • First page: Enter 0 or 1.
pageSize Integer Conditional Number of items per page
  • 1-1000 (default: 1)
  • Required when entering pageNo
sortedBy String Optional Sort by
  • blockStorageSnapshotName: snapshot name (valid value)
sortingOrder String Optional Sort order
  • ASC (default) | DESC
    • ASC: ascending order
    • DESC: descending order
responseFormatType String Optional Format of the response data
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getBlockStorageSnapshotInstanceList
?regionCode=KR
&originalBlockStorageInstanceNoList.1=10*****19
&blockStorageSnapshotInstanceStatusCode=CREAT
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
getBlockStorageSnapshotInstanceListResponse Object - Response result
getBlockStorageSnapshotInstanceListResponse.requestId String - ID for the request
  • UUID format
getBlockStorageSnapshotInstanceListResponse.returnCode String - Response code
getBlockStorageSnapshotInstanceListResponse.returnMessage String - Response message

Response status codes

For information about the response status codes common to all Server APIs, see Server response status codes.

Response example

The response example is as follows:

{
  "getBlockStorageSnapshotInstanceListResponse": {
    "totalRows": 1,
    "blockStorageSnapshotInstanceList": [
      {
        "blockStorageSnapshotInstanceNo": "10*****50",
        "blockStorageSnapshotName": "snapshot1",
        "blockStorageSnapshotVolumeSize": 53687091200,
        "originalBlockStorageInstanceNo": "10*****19",
        "blockStorageSnapshotInstanceStatus": {
          "code": "CREAT",
          "codeName": "Block storage CREATED status"
        },
        "blockStorageSnapshotInstanceOperation": {
          "code": "NULL",
          "codeName": "Block storage NULL OP"
        },
        "blockStorageSnapshotInstanceStatusName": "created",
        "createDate": "2025-06-20T14:05:34+0900",
        "isEncryptedOriginalBlockStorageVolume": false,
        "snapshotType": {
          "code": "FULL",
          "codeName": "Full Storage Snapshot"
        },
        "snapshotChainDepth": 0,
        "isBootable": false,
        "hypervisorType": {
          "code": "XEN",
          "codeName": "XEN"
        },
        "blockStorageVolumeType": {
          "code": "SSD",
          "codeName": "SSD"
        }
      }
    ],
    "requestId": "2c5c9b1d-****-****-****-70bf191962eb",
    "returnCode": "0",
    "returnMessage": "success"
  }
}